Debian Bug report logs - #274401
gnome-font-viewer isn't registered for application/x-font-ttf and x-font-type1

version graph

Package: capplets; Maintainer for capplets is (unknown);

Reported by: Julien Langer <jlanger@zigweb.de>

Date: Fri, 1 Oct 2004 16:33:01 UTC

Severity: normal

Tags: experimental, fixed-upstream

Found in version 1:2.8.0-1

Fixed in versions control-center/1:2.8.1-2, control-center/1:2.8.1-3

Done: Arnaud Patard <arnaud.patard@rtp-net.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>:
Bug#274401; Package capplets. Full text and rfc822 format available.

Acknowledgement sent to Julien Langer <jlanger@zigweb.de>:
New Bug report received and forwarded. Copy sent to Arnaud Patard <arnaud.patard@rtp-net.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Langer <jlanger@zigweb.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-font-viewer isn't registered for application/x-font-ttf and x-font-type1
Date: Fri, 01 Oct 2004 18:16:47 +0200
Package: capplets
Version: 1:2.8.0-1
Severity: normal
Tags: experimental

gnome-font-viewer should be registered for the application/x-font-ttf
and application/x-font-type1 mime types, so that Fonts in fonts:// can
be opened with it by default.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages capplets depends on:
ii  capplets-data             1:2.8.0-1      configuration applets for GNOME 2 
ii  gnome-control-center      1:2.8.0-1      The GNOME Control Center for GNOME
ii  gnome-desktop-data        2.8.0-1        Common files for GNOME 2 desktop a
ii  gnome-icon-theme          1.2.3-1        GNOME Desktop icon theme
ii  gnome-panel               2.8.0-2        Launcher and docking facility for 
ii  gnome-session             2.8.0-1        The GNOME 2 Session Manager
ii  libart-2.0-2              2.3.16-6       Library of functions for 2D graphi
ii  libasound2                1.0.6-2        Advanced Linux Sound Architecture 
ii  libatk1.0-0               1.8.0-2        The ATK accessibility toolkit
ii  libaudiofile0             0.2.6-4        Open-source version of SGI's audio
ii  libbonobo2-0              2.8.0-2        Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.8.0-1        The Bonobo UI library
ii  libc6                     2.3.2.ds1-17   GNU C Library: Shared libraries an
ii  libeel2-2                 2.8.0-1        Eazel Extensions Library (for GNOM
ii  libesd-alsa0 [libesd0]    0.2.34-1       Enlightened Sound Daemon (ALSA) - 
ii  libfontconfig1            2.2.3-1        generic font configuration library
ii  libfreetype6              2.1.7-2.2      FreeType 2 font engine, shared lib
ii  libgail-common            1.8.0-1        GNOME Accessibility Implementation
ii  libgail17                 1.8.0-1        GNOME Accessibility Implementation
ii  libgconf2-4               2.8.0-1        GNOME configuration database syste
ii  libgcrypt11               1.2.0-6        LGPL Crypto library - runtime libr
ii  libglade2-0               1:2.4.0-1      Library to load .glade files at ru
ii  libglib2.0-0              2.4.6-3        The GLib library of C routines
ii  libgnome-desktop-2        2.8.0-1        Utility library for loading .deskt
ii  libgnome-keyring0         0.4.0-1        GNOME keyring services library
ii  libgnome2-0               2.8.0-1        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.7.1-1        A powerful object-oriented display
ii  libgnomeui-0              2.8.0-1        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            2.8.1-1        The GNOME virtual file-system libr
ii  libgnutls11               1.0.16-8       GNU TLS library - runtime library
ii  libgpg-error0             1.0-1          library for common error values an
ii  libgstreamer-plugins0.8-0 0.8.4-1        Various GStreamer libraries and li
ii  libgstreamer0.8-0         0.8.5-1        Core GStreamer libraries, plugins,
ii  libgtk2.0-0               2.4.10-1       The GTK+ graphical user interface 
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  libjpeg62                 6b-9           The Independent JPEG Group's JPEG 
ii  libmetacity0              1:2.8.5-2      Common library of lightweight GTK2
ii  libnautilus2-2            2.8.0-1        libraries for nautilus components 
ii  liborbit2                 1:2.10.2-1.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.6.0-1        Layout and rendering of internatio
ii  libpopt0                  1.7-5          lib for parsing cmdline parameters
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libstartup-notification0  0.7-1          library for program launch feedbac
ii  libtasn1-2                0.2.10-4       Manage ASN.1 structures (runtime)
ii  libx11-6                  4.3.0.dfsg.1-8 X Window System protocol client li
ii  libxext6                  4.3.0.dfsg.1-8 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxklavier8              1.03-1         X Keyboard Extension high-level AP
ii  libxml2                   2.6.11-3       GNOME XML library
ii  libxrandr2                4.3.0.dfsg.1-8 X Window System Resize, Rotate and
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  nautilus                  2.8.0-1        file manager and graphical shell f
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.1.2-1    compression library - runtime

-- no debconf information



Tags added: fixed-upstream Request was from Sebastien Bacher <seb128@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>:
Bug#274401; Package capplets. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Copy sent to Arnaud Patard <arnaud.patard@rtp-net.org>. Full text and rfc822 format available.

Message #12 received at 274401@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: 274401@bugs.debian.org
Subject: Fix
Date: Fri, 12 Nov 2004 18:52:51 +0300
[Message part 1 (text/plain, inline)]
Please look at the attached gnome-font-viewer.desktop file. It should
fix the bug. Place it in /usr/share/applications/

Thanks!

PS. I also attached the themus-theme-applier.desktop file that fix the
similar bug with themes:/// applying.

-- 
Dan Korostelev <dan@ats.energo.ru>
[gnome-font-viewer.desktop (application/x-desktop, attachment)]
[themus-theme-applier.desktop (application/x-desktop, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Arnaud Patard <arnaud.patard@rtp-net.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Langer <jlanger@zigweb.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 274401-close@bugs.debian.org (full text, mbox):

From: Arnaud Patard <arnaud.patard@rtp-net.org>
To: 274401-close@bugs.debian.org
Subject: Bug#274401: fixed in control-center 1:2.8.1-2
Date: Fri, 19 Nov 2004 14:17:07 -0500
Source: control-center
Source-Version: 1:2.8.1-2

We believe that the bug you reported is fixed in the latest version of
control-center, which is due to be installed in the Debian FTP archive:

capplets-data_2.8.1-2_all.deb
  to pool/main/c/control-center/capplets-data_2.8.1-2_all.deb
capplets_2.8.1-2_i386.deb
  to pool/main/c/control-center/capplets_2.8.1-2_i386.deb
control-center_2.8.1-2.diff.gz
  to pool/main/c/control-center/control-center_2.8.1-2.diff.gz
control-center_2.8.1-2.dsc
  to pool/main/c/control-center/control-center_2.8.1-2.dsc
gnome-control-center_2.8.1-2_i386.deb
  to pool/main/c/control-center/gnome-control-center_2.8.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 274401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Patard <arnaud.patard@rtp-net.org> (supplier of updated control-center package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Nov 2004 23:44:21 +0100
Source: control-center
Binary: capplets gnome-control-center capplets-data
Architecture: source all i386
Version: 1:2.8.1-2
Distribution: unstable
Urgency: low
Maintainer: Arnaud Patard <arnaud.patard@rtp-net.org>
Changed-By: Arnaud Patard <arnaud.patard@rtp-net.org>
Description: 
 capplets   - configuration applets for GNOME 2 - binaries files
 capplets-data - configuration applets for GNOME 2 - data files
 gnome-control-center - The GNOME Control Center for GNOME 2
Closes: 274401
Changes: 
 control-center (1:2.8.1-2) unstable; urgency=low
 .
   * debian/rules,debian/capplets.install:
     - Added manually a .desktop for fontilus taken from Gnome's cvs
     (Closes: #274401)
     - Added manually a .desktop for themes:///. Thanks to Dan Korostelev
Files: 
 cd494c531886aeee71367b32627ca0ec 2090 gnome optional control-center_2.8.1-2.dsc
 489025bdbb2d817905a485e03ed0aa35 176759 gnome optional control-center_2.8.1-2.diff.gz
 804041568047ceb6807e115b8ca6ebf4 1748862 gnome optional capplets-data_2.8.1-2_all.deb
 8e5016b4f6db204067050a105ca2f2ac 605664 gnome optional capplets_2.8.1-2_i386.deb
 5803a2db0417ab1f9a2e1f26ebabe0a3 71218 gnome optional gnome-control-center_2.8.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBnj5IQxo87aLX0pIRAqHZAJ4n/RsokFrNFAbteKDnzvK1a8VkugCeJcI6
ZHKJLg+WZCLVUaBHTTxv148=
=s0nX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Patard <arnaud.patard@rtp-net.org>:
Bug#274401; Package capplets. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Copy sent to Arnaud Patard <arnaud.patard@rtp-net.org>. Full text and rfc822 format available.

Message #22 received at 274401@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: control@bugs.debian.org, 274401@bugs.debian.org
Subject: Bugs are still here
Date: Tue, 23 Nov 2004 16:45:17 +0300
[Message part 1 (text/plain, inline)]
reopen 274401
thanks

Last package didn't fix the problem. No application for fonts and I
can't even find those .desktop files...

-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Dan Korostelev <dan@ats.energo.ru> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Arnaud Patard <arnaud.patard@rtp-net.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Langer <jlanger@zigweb.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 274401-close@bugs.debian.org (full text, mbox):

From: Arnaud Patard <arnaud.patard@rtp-net.org>
To: 274401-close@bugs.debian.org
Subject: Bug#274401: fixed in control-center 1:2.8.1-3
Date: Fri, 26 Nov 2004 11:02:06 -0500
Source: control-center
Source-Version: 1:2.8.1-3

We believe that the bug you reported is fixed in the latest version of
control-center, which is due to be installed in the Debian FTP archive:

capplets-data_2.8.1-3_all.deb
  to pool/main/c/control-center/capplets-data_2.8.1-3_all.deb
capplets_2.8.1-3_i386.deb
  to pool/main/c/control-center/capplets_2.8.1-3_i386.deb
control-center_2.8.1-3.diff.gz
  to pool/main/c/control-center/control-center_2.8.1-3.diff.gz
control-center_2.8.1-3.dsc
  to pool/main/c/control-center/control-center_2.8.1-3.dsc
gnome-control-center_2.8.1-3_i386.deb
  to pool/main/c/control-center/gnome-control-center_2.8.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 274401@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Patard <arnaud.patard@rtp-net.org> (supplier of updated control-center package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 25 Nov 2004 21:16:04 +0100
Source: control-center
Binary: capplets gnome-control-center capplets-data
Architecture: source all i386
Version: 1:2.8.1-3
Distribution: unstable
Urgency: low
Maintainer: Arnaud Patard <arnaud.patard@rtp-net.org>
Changed-By: Arnaud Patard <arnaud.patard@rtp-net.org>
Description: 
 capplets   - configuration applets for GNOME 2 - binaries files
 capplets-data - configuration applets for GNOME 2 - data files
 gnome-control-center - The GNOME Control Center for GNOME 2
Closes: 274401
Changes: 
 control-center (1:2.8.1-3) unstable; urgency=low
 .
   * debian/rules:
     - Corrected erroneous line responsible for not including the .desktop
     files (Closes: #274401)
   * debian/patches:
     - Suppressed 'Text Editor' in the "preferred applications" as it's useless
     with the new mime type system.
Files: 
 71ac36fe489e5ab67e82faf93008cea4 2090 gnome optional control-center_2.8.1-3.dsc
 7140145a0655629823ff9f804bad9d3f 177768 gnome optional control-center_2.8.1-3.diff.gz
 aab6155ba872ba5d14a28448e6bf3c05 1749310 gnome optional capplets-data_2.8.1-3_all.deb
 eb42dce7030a08a52276004dcfb6d974 605730 gnome optional capplets_2.8.1-3_i386.deb
 58f2b5a15e1467d11233c2d82aa83b12 71306 gnome optional gnome-control-center_2.8.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBp0/sQxo87aLX0pIRAkXRAJ9stt0w/zVkmWGlC92uTcYuJKqqwQCfaktA
6kLOwZKR7mk7VL0awDQWLLU=
=QXys
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:40:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.